package arcgissamples.soe;

import com.esri.arcgisws.*;
import com.esri.arcgisws.runtime.WebServiceProxyImpl;

public class BusServicesSOEServiceBindingStub extends WebServiceProxyImpl implements IBusService { 

	public BusServicesSOEServiceBindingStub() {}

	public BusServicesSOEServiceBindingStub(String endpointAddressURL) {
		setEndPointAddress(endpointAddressURL);
	}

	public BusServicesSOEServiceBindingStub(String endpointAddressURL, String username, String password) {
		setEndPointAddress(endpointAddressURL,username,password);
	}

	public java.util.List findBusStationsNearMe (Point arg0, double arg1) {
		Object object = createDispatcher(FindBusStationsNearMe.class);
		((FindBusStationsNearMe)object).setArg0(arg0);
		((FindBusStationsNearMe)object).setArg1(arg1);
		return dispatchRequest(object, FindBusStationsNearMeResponse.class).getArg();
	}

	public String getDirections (int arg0, Point arg1) {
		Object object = createDispatcher(GetDirections.class);
		((GetDirections)object).setArg0(arg0);
		((GetDirections)object).setArg1(arg1);
		return dispatchRequest(object, GetDirectionsResponse.class).getArg();
	}

}
