/* Copyright 2010 ESRI
* 
* All rights reserved under the copyright laws of the United States
* and applicable international laws, treaties, and conventions.
* 
* You may freely redistribute and use this sample code, with or
* without modification, provided you include the original copyright
* notice and use restrictions.
* 
* See the use restrictions at http://help.arcgis.com/en/sdk/10.0/usageRestrictions.htm
* 
*/
package arcgissamples.soe;

import arcgissamples.soe.javatypes.BusStation;

import com.esri.arcgis.geometry.Point;
import com.esri.arcgis.interop.extn.ArcGISExtension;

@ArcGISExtension
public interface IBusService 
{
	public BusStation[] findBusStationsNearMe(Point userLocation, double withinDistance) throws Exception;
	public String getDirections(int busStationID, Point userLocation) throws Exception;
}
